HomeGuidesAPI ReferenceChangelog
Terms of Use
API Reference

OCPI Logs / Listing

Get paginated list of OCPI communication logs with optional filtering and pagination.

Returns raw OCPI communication payloads including request/response data.
For optimal performance, always specify filter[createdAfter] and filter[createdBefore] to limit the time range.
The maximum allowed date range is 30 days. If no date range is specified, the last 30 days will be returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
filter
object

Filters for OCPI logs listing. For optimal performance, use createdAfter/createdBefore to limit the time range of your queries.

If neither filter[createdAfter] nor filter[createdBefore] is provided, results are limited to logs from the last 30 days relative to the request time.
The maximum allowed interval between filter[createdAfter] and filter[createdBefore] is 30 days.

Filter Precedence:
When multiple entity filters are provided, more specific filters take precedence:

  • If sessionId is provided, evseId and locationId filters are ignored
  • If evseId is provided (without sessionId), locationId filter is ignored
integer
1 to 500
Defaults to 500

The number of items to return per page.

string

The cursor to fetch the next page.

Do not construct this value manually. Use one of the following methods:

  • Use the value from the previous response's links.next to fetch the next page
  • Pass an empty string (e.g., ?cursor or ?cursor=) to initiate cursor pagination on the first page
Responses

Language
Credentials
Bearer
API Token
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json